Update a unit conversion
put
https://api.mercadoe.com/v1/products/unit-conversions/{convId}
Updates asynchronously the unit conversion identified by convId and recalculates the product measurement-unit conversion derived from it. Returns 202 with a correlationId; the final result is delivered through the integration.result webhook.
Request
Headers
X-ME-CORRELATION-ID
string
Internal client code to be identified in the webhook. It can be, for example, a product code in your ERP, an order number, etc.
Path Parameters
convId
int32
required
ME - Identifier for the unit conversion.
Body
application/json
productId
int32 | null
ME product Id
unitFrom
string | null
Source measurement unit for the conversion rule.
unitTo
string | null
Target measurement unit for the conversion rule.
quantityFrom
double | null
Base quantity for the source unit.
quantityTo
double | null
Resulting quantity for the target unit.
borgCode
string | null
Code of the business organization associated with the conversion. When omitted or null, the conversion is saved without a business organization.
Responses
202
400
404
Accepted
Body
application/json
correlationId
string
Internal client code to be identified in the webhook. For example, it can be a product code in your ERP, an order number, etc.